import type { Node } from 'prosemirror-model';
type ChildWithMeta = {
    node: Node;
    offset: number;
    index: number;
};
export declare function getChildBy(parent: Node, f: (child: ChildWithMeta) => boolean): ChildWithMeta | null;
export declare function getChildByNode(parent: Node, child: Node): ChildWithMeta | null;
export declare function getChildByIndex(parent: Node, childIndex: number): ChildWithMeta | null;
export {};
